MWAWFontManager Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
MWAWFontManager Class Reference

a font manager which can be used to store fonts, ... More...

`#include <MWAWFont.hxx>`

## Public Member Functions
| MWAWFontManager (shared_ptr< MWAWFontConverter > fontConverter)
| constructor More...
| ~MWAWFontManager ()
| destructor More...
int | getId (MWAWFont const &font)
| returns a span id which can be used to call the list More...
bool | getFont (int id, MWAWFont &font) const
| returns the font corresponding to an id More...
shared_ptr< MWAWFontConverter > | getFontConverter ()
| returns the font converter More...

## Protected Attributes
shared_ptr< MWAWFontManagerInternal::State > | m_state
| the state More...

## Private Member Functions
| MWAWFontManager (MWAWFontManager const &)
MWAWFontManager & | operator= (MWAWFontManager const &)

## Detailed Description

a font manager which can be used to store fonts, ...

## Constructor & Destructor Documentation

## § MWAWFontManager() [1/2]

MWAWFontManager::MWAWFontManager | ( | shared_ptr< MWAWFontConverter > | fontConverter | ) |
| explicit

constructor

## § ~MWAWFontManager()

MWAWFontManager::~MWAWFontManager | ( |  | ) |

destructor

## § MWAWFontManager() [2/2]

MWAWFontManager::MWAWFontManager | ( | MWAWFontManager const & |  | ) |
| private

## Member Function Documentation

## § getFont()

bool MWAWFontManager::getFont | ( | int | id,
|  | MWAWFont & | font
| ) |  | const

returns the font corresponding to an id

## § getFontConverter()

shared_ptr< MWAWFontConverter > MWAWFontManager::getFontConverter | ( |  | ) |

returns the font converter

## § getId()

int MWAWFontManager::getId | ( | MWAWFont const & | font | ) |

returns a span id which can be used to call the list

## § operator=()

MWAWFontManager& MWAWFontManager::operator= | ( | MWAWFontManager const & |  | ) |
| private

## Member Data Documentation

## § m_state

shared_ptr<MWAWFontManagerInternal::State> MWAWFontManager::m_state
| protected

the state

Referenced by getFont(), getFontConverter(), and getId().

The documentation for this class was generated from the following files:

- MWAWFont.hxx
- MWAWFont.cxx